# artifacts

abstract fun artifacts(provider: Provider<out Iterable<out Any>>)

Lazily adds a collection of outgoing artifacts to this configuration. These artifacts are included in all variants.

#### Since

7.4

#### Parameters

provider

The provider of the artifacts to add.

abstract fun artifacts(provider: Provider<out Iterable<out Any>>, configureAction: Action<in ConfigurablePublishArtifact>)

Lazily adds a collection of outgoing artifacts to this configuration, configuring each artifact using the given action. These artifacts are included in all variants.

#### Since

7.4

#### Parameters

provider

The provider of the artifacts to add.